<?php

namespace Drupal\rac;

use Drupal\Component\Annotation\Plugin;

/**
 * Defines AccessProvider Anotation object.
 *
 * Base AccessProvider supplies default AccessProvider structure for use with
 * Search API Reference objects.
 *
 * @Annotation
 *
 * @see \Drupal\rac\RoleAccessConsumerInterface
 *
 * @ingroup AccessProvider
 */
class RoleAccessConsumer extends Plugin implements RoleAccessConsumerInterface {

  /**
   * The plugin ID.
   *
   * @var string
   */
  public $id;

  /**
   * The human-readable name of the formatter type.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $label;

  /**
   * A short description of the plugin.
   *
   * @var \Drupal\Core\Annotation\Translation
   *
   * @ingroup plugin_translatable
   */
  public $description;

  /**
   * {@inheritdoc}
   */
  public function getSupportedEntityTypes() {
    return [];
  }

}
