<?php

namespace Drupal\rac;

/**
 * Defines interface for RoleAccessConsumer Plugins.
 *
 * @see \Drupal\rac\RoleAccessConsumer.
 */
interface RoleAccessConsumerInterface {

  /**
   * Retrieve the entity types for which access is controlled.
   *
   * The function returns a list of entity types for which the module providing
   * this plugin controlls access to based on Role Access Control.
   *
   * @see _rac_get_supported_entity_types()
   *
   * @return array
   *   An array of entity type ids.
   */
  public function getSupportedEntityTypes();

}
